package util

import (
	"cmp"
	"slices"
	"strconv"
)

func MustConv(s string) int {
	n, err := strconv.Atoi(s)
	if err != nil {
		panic(err)
	}
	return n
}

func InsertSorted[T cmp.Ordered](ts []T, t T) []T {
	i, _ := slices.BinarySearch(ts, t)
	return slices.Insert(ts, i, t)
}
