package util

import (
	"strconv"
	"strings"
)

func MustConv(s string) int {
	n, err := strconv.Atoi(s)
	if err != nil {
		panic(err)
	}
	return n
}

func IntsFromString(s string) []int {
	nums := []int{}
	for _, r := range strings.Fields(s) {
		nums = append(nums, MustConv(r))
	}
	return nums
}

var CmpIncrease = func(nums []int, i int) bool {
	return nums[i-1] >= nums[i]
}

var CmpDecrease = func(nums []int, i int) bool {
	return nums[i-1] <= nums[i]
}
