package daytwo

import (
	"github.com/onyx-and-iris/aoc2024/day-02/internal/one"
	"github.com/onyx-and-iris/aoc2024/day-02/internal/two"
)

func Solve(data []byte) (int, int, error) {
	answerOne, err := one.Solve(data)
	if err != nil {
		return 0, 0, err
	}

	answerTwo, err := two.Solve(data)
	if err != nil {
		return 0, 0, err
	}

	return answerOne, answerTwo, nil
}
